// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef CPPCODEGENTEST_CLASS5_H
#define CPPCODEGENTEST_CLASS5_H

/************************************************************
 Class5 class header
 ************************************************************/

#include "CppCodegenTest/Pkg_CppCodegenTest.h"

#include "AnsiCLibrary/Pkg_AnsiCLibrary.h"
#include "CppCodegenTest/Package1/Pkg_Package1.h"

namespace CppCodegenTest {

/************************************************************/
/**
 * C++ Virtual Interface
 */
class Class5 {
public:

	/**
	 * 
	 */
	int externalProp;

	/**
	 * 
	 */
	::CppCodegenTest::Package1::TestEnum enumAttr =
			::CppCodegenTest::Package1::TestEnum::TestLiteral;

	/**
	 * 
	 * @return iReturn 
	 */
	virtual int pureVirtualOp() = 0;

	/**
	 * 
	 * @return iReturn 
	 */
	virtual int* pureVirtualConstOp() = 0;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace CppCodegenTest

/************************************************************
 End of Class5 class header
 ************************************************************/

#endif
